CollectionsHosted PaymentsPayments

List Hosted Payments

GET
/v1/hosted-payments

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string

An object ID used as a cursor in pagination. If a list request returns 100 objects ending with obj_0KSEVXZ2ZF0AV, a subsequent call can include after=obj_0KSEVXZ2ZF0AV to fetch the next page of the list.

limit?integer

A limit on the number of objects to be returned, between 1 and 100.

Formatint32
order?string

Sort list objects in either ascending or descending order.

Value in

  • "ASC"
  • "DESC"
status?string

Filter by hosted payment status.

Value in

  • "REQUIRES_ACTION"
  • "PENDING"
  • "SUCCEEDED"
  • "FAILED"

Response Body

*/*

curl -X GET "https://example.com/v1/hosted-payments"
{  "data": [    {      "amount": 0,      "channel": "string",      "createdAt": "string",      "currency": "string",      "customerProxy": "string",      "expiredAt": "string",      "hostedPaymentMethodId": "string",      "id": "string",      "method": "string",      "payer": {        "email": "string",        "firstName": "string",        "fullName": "string",        "lastName": "string",        "payerBank": "string",        "phone": "string",        "returnedName": "string"      },      "paymentInformation": [        {          "itemName": "string",          "itemReference": "string",          "numberOfUnits": 0,          "totalTaxAmount": 0,          "unitAmount": 0        }      ],      "redirectUrl": "string",      "referenceId": "string",      "resultCode": "string",      "returnUrl": "string",      "status": "string",      "tokenization": true,      "transactionReference": "string",      "underlyingErrorCode": "string",      "underlyingErrorMessage": "string",      "updatedAt": "string"    }  ],  "hasMore": true}